Package weka.classifiers.functions.explicitboundaries.models

# Class NearestCentroidBoundary

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.functions.NearestCentroidClassifier
weka.classifiers.functions.explicitboundaries.models.NearestCentroidBoundary

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `weka.classifiers.Classifier`, `ClassifierWithBoundaries`, `weka.core.BatchPredictor`, `weka.core.CapabilitiesHandler`, `weka.core.CapabilitiesIgnorer`, `weka.core.CommandlineRunnable`, `weka.core.OptionHandler`, `weka.core.RevisionHandler`

public class NearestCentroidBoundary extends weka.classifiers.functions.NearestCentroidClassifier implements ClassifierWithBoundaries
Nearest Centroind Classifier with explicit boundaries Only binary classifiers.

Since:
  0.1.0
Version:
  2.2.1
Author:
  Pawel Trajdos
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NearestCentroidBoundary()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildClassifier(weka.core.Instances data)`
  `double[]`
  `distributionForInstance(weka.core.Instance instance)`
  `String`
  `dotProductTipText()`
  `DecisionBoundary`
  `getBoundary()`
  Returns decision boundaries of the classifier
  `weka.core.Capabilities`
  `getCapabilities()`
  `DotProduct`
  `getDotProduct()`
  `String[]`
  `getOptions()`
  `Enumeration<weka.core.Option>`
  `listOptions()`
  `static void`
  `main(String[] args)`
  `void`
  `setDebug(boolean debug)`
  `void`
  `setDotProduct(DotProduct dotProduct)`
  `void`
  `setOptions(String[] options)`

  ### Methods inherited from class weka.classifiers.functions.NearestCentroidClassifier

  `clusProtoTipText, getCentroids, getClusProto, getRevision, globalInfo, setClusProto, toString`

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, postExecution, preExecution, run, runClassifier, setBatchSize, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface weka.classifiers.Classifier

  `classifyInstance`

- ## Constructor Details

  - ### NearestCentroidBoundary

    public NearestCentroidBoundary()

- ## Method Details

  - ### buildClassifier

    public void buildClassifier(weka.core.Instances data) throws Exception
    Specified by:
      `buildClassifier` in interface `weka.classifiers.Classifier`
    Overrides:
      `buildClassifier` in class `weka.classifiers.functions.NearestCentroidClassifier`
    Throws:
      `Exception`

  - ### getBoundary

    public DecisionBoundary getBoundary() throws Exception
    Description copied from interface: `ClassifierWithBoundaries`
    Returns decision boundaries of the classifier
    Specified by:
      `getBoundary` in interface `ClassifierWithBoundaries`
    Returns:
      Decision boundaries
    Throws:
      `Exception`

  - ### distributionForInstance

    public double[] distributionForInstance(weka.core.Instance instance) throws Exception
    Specified by:
      `distributionForInstance` in interface `weka.classifiers.Classifier`
    Overrides:
      `distributionForInstance` in class `weka.classifiers.functions.NearestCentroidClassifier`
    Throws:
      `Exception`

  - ### getCapabilities

    public weka.core.Capabilities getCapabilities()
    Specified by:
      `getCapabilities` in interface `weka.core.CapabilitiesHandler`
    Specified by:
      `getCapabilities` in interface `weka.classifiers.Classifier`
    Overrides:
      `getCapabilities` in class `weka.classifiers.functions.NearestCentroidClassifier`

  - ### getDotProduct

    public DotProduct getDotProduct()
    Returns:
      the dotProduct

  - ### setDotProduct

    public void setDotProduct(DotProduct dotProduct)
    Parameters:
      `dotProduct` - the dotProduct to set

  - ### dotProductTipText

    public String dotProductTipText()

  - ### setDebug

    public void setDebug(boolean debug)
    Overrides:
      `setDebug` in class `weka.classifiers.AbstractClassifier`

  - ### listOptions

    public Enumeration<weka.core.Option> listOptions()
    Specified by:
      `listOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `listOptions` in class `weka.classifiers.functions.NearestCentroidClassifier`

  - ### getOptions

    public String[] getOptions()
    Specified by:
      `getOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `getOptions` in class `weka.classifiers.functions.NearestCentroidClassifier`

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Specified by:
      `setOptions` in interface `weka.core.OptionHandler`
    Overrides:
      `setOptions` in class `weka.classifiers.functions.NearestCentroidClassifier`
    Throws:
      `Exception`

  - ### main

    public static void main(String[] args)
    Parameters:
      `args` -